hadoop-common-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aengin...@apache.org
Subject [14/50] hadoop git commit: HADOOP-14285. Update minimum version of Maven from 3.0 to 3.3.
Date Mon, 17 Apr 2017 17:28:13 GMT
HADOOP-14285. Update minimum version of Maven from 3.0 to 3.3.


Project: http://git-wip-us.apache.org/repos/asf/hadoop/repo
Commit: http://git-wip-us.apache.org/repos/asf/hadoop/commit/612578fe
Tree: http://git-wip-us.apache.org/repos/asf/hadoop/tree/612578fe
Diff: http://git-wip-us.apache.org/repos/asf/hadoop/diff/612578fe

Branch: refs/heads/HDFS-7240
Commit: 612578fe67732db75b1d069fd09c55f260bbc1fa
Parents: 39fa371
Author: Akira Ajisaka <aajisaka@apache.org>
Authored: Sat Apr 8 14:23:26 2017 +0900
Committer: Akira Ajisaka <aajisaka@apache.org>
Committed: Sat Apr 8 14:23:26 2017 +0900

----------------------------------------------------------------------
 BUILDING.txt                  |  2 +-
 dev-support/docker/Dockerfile | 16 ++++++++++------
 hadoop-project/pom.xml        |  2 +-
 3 files changed, 12 insertions(+), 8 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hadoop/blob/612578fe/BUILDING.txt
----------------------------------------------------------------------
diff --git a/BUILDING.txt b/BUILDING.txt
index 5d331d4..57dad32 100644
--- a/BUILDING.txt
+++ b/BUILDING.txt
@@ -5,7 +5,7 @@ Requirements:
 
 * Unix System
 * JDK 1.8+
-* Maven 3.0 or later
+* Maven 3.3 or later
 * Findbugs 1.3.9 (if running findbugs)
 * ProtocolBuffer 2.5.0
 * CMake 2.6 or newer (if compiling native code), must be 3.0 or newer on Mac

http://git-wip-us.apache.org/repos/asf/hadoop/blob/612578fe/dev-support/docker/Dockerfile
----------------------------------------------------------------------
diff --git a/dev-support/docker/Dockerfile b/dev-support/docker/Dockerfile
index e3e7810..a135c61 100644
--- a/dev-support/docker/Dockerfile
+++ b/dev-support/docker/Dockerfile
@@ -81,13 +81,17 @@ RUN apt-get -q install --no-install-recommends -y oracle-java8-installer
 ####
 # Apps that require Java
 ###
-RUN apt-get -q update && apt-get -q install --no-install-recommends -y \
-    ant \
-    maven
+RUN apt-get -q update && apt-get -q install --no-install-recommends -y ant
 
-# Fixing the Apache commons / Maven dependency problem under Ubuntu:
-# See http://wiki.apache.org/commons/VfsProblems
-RUN cd /usr/share/maven/lib && ln -s ../../java/commons-lang.jar .
+######
+# Install Apache Maven
+######
+RUN mkdir -p /opt/maven && \
+    curl -L -s -S \
+         http://www-us.apache.org/dist/maven/maven-3/3.3.9/binaries/apache-maven-3.3.9-bin.tar.gz
\
+         -o /opt/maven.tar.gz && \
+    tar xzf /opt/maven.tar.gz --strip-components 1 -C /opt/maven
+ENV MAVEN_HOME /opt/maven
 
 ######
 # Install findbugs

http://git-wip-us.apache.org/repos/asf/hadoop/blob/612578fe/hadoop-project/pom.xml
----------------------------------------------------------------------
diff --git a/hadoop-project/pom.xml b/hadoop-project/pom.xml
index f327933..bf93f0f 100644
--- a/hadoop-project/pom.xml
+++ b/hadoop-project/pom.xml
@@ -103,7 +103,7 @@
     for an open-ended enforcement
     -->
     <enforced.java.version>[${javac.version},)</enforced.java.version>
-    <enforced.maven.version>[3.0.2,)</enforced.maven.version>
+    <enforced.maven.version>[3.3.0,)</enforced.maven.version>
 
     <!-- Plugin versions and config -->
     <maven-surefire-plugin.argLine>-Xmx2048m -XX:+HeapDumpOnOutOfMemoryError</maven-surefire-plugin.argLine>


---------------------------------------------------------------------
To unsubscribe, e-mail: common-commits-unsubscribe@hadoop.apache.org
For additional commands, e-mail: common-commits-help@hadoop.apache.org


Mime
View raw message